Terms of Use
When making use of the Sports API, you agree to the following Terms of Use.
General terms of use
The general Terms and Conditions are part of our affiliate programme agreement. If you have any questions regarding our affiliate programme or the terms of this agreement, contact your affiliate manager or click here to contact us. You can visit our affiliate website here (for ROAR partners here).
Technical terms of use
The technical Terms of Use are the rules on the Sports API usage. Make sure that you understand these rules and respect them in your implementation. We reserve the right to limit the availability of data via the API. Any misuse of the API, for instance through inappropriate requesting behaviour, will lead to an immediate deactivation of the Access ID.
Server requests
The system has a request limitation of 200 concurrent requests per 5 seconds from one Access ID. If the system receives a higher number of requests, then it will automatically block the IP for 60 minutes. After this hour, the system will unblock the IP again.
Data parsimony
Create all your requests with the most restrictive parameters. This ensures that you receive the required data in the shortest possible time.
Parallel connections
For each endpoint, you can have exactly one parallel session per unique sportID.
Response caching
Cache all responses from these endpoints:
- Fixtures
- FixtureIndex
- Scoreboards
Polling interval
A minimum polling interval of 2 seconds per unique sport + language combination is allowed for these endpoints:
- Fixtures
- FixtureIndex
- Scoreboards
A minimum polling interval of 1 second per language is allowed for these endpoints:
- Competitions
- Sports
The "since" parameter
Use the parameter since properly. The parameter is available for these endpoints:
- Fixtures
- FixtureIndex
- Scoreboards
The usage rules are:
- The initial call to these endpoints is allowed without
sinceparameter. - Starting from the second call,
sinceis mandatory.
The "next" node
Every response body contains a node next at the end. It contains the full settings for the follow-up call, including all parameters from the request and the correct since parameter.
- Example
"next": "/offer/api/5/at/fixtureIndex?since=20201221145128&competitionIds=29239&isInPlay=False"
Use the contents of next for your next call.
The "type" node
The response bodies from the following endpoints contain a node type at the end:
- Fixtures
- FixtureIndex
- Competitions
- Sports
- Scoreboards
The node can be "type": "Full" or "type": "Delta".
- Full
- The response is a full snapshot of the offer matching the query parameters used in the request call. In addition to the first response (without
since), any response having removed one or more fixtures since the last call will beFull. Delta removal of fixtures is not supported. - Replace the cached response with the new one.
- Delta
- The response is an update of the offer matching the query parameters used in the request call. It only contains items to be updated (existing fixtures with new or changed details) and new items (new fixtures).
- Apply the response upon the cached data per item: Update existing items and add new items to the cache.